function printControls()
	love.graphics.print("Arrow Keys: scroll", win_w - 220, 10)
	love.graphics.print("Left Mouse: clicky clicky things", win_w - 220, 20)
	love.graphics.print("Right Mouse: un-clicky clicky things", win_w - 220, 30)
	love.graphics.print("Space Bar: end turn/survey/mine", win_w - 220, 40)
	love.graphics.print("S: toggle survey on/off", win_w - 220, 50)
	love.graphics.print("U: turn hauler into mining platform", win_w - 220, 60)
	love.graphics.print("P: turn mining platform into hauler", win_w - 220, 70)
	love.graphics.print("H: centers screen on main platform", win_w -220, 80)
	love.graphics.print("M: show moves for a selected unit", win_w -220, 90)
end

function printInfo()
	love.graphics.print( "("..x_m..","..y_m..")", 10,10)
	love.graphics.print( "("..i_..","..j_..")", 10,20)
	love.graphics.print("Turn Number: "..turn_num,10,30)
	love.graphics.print("Ore Store: "..ore_stored, 10, 40)
	love.graphics.print("Cash: "..cash, 10, 50)
	love.graphics.print("Shuttle Launch in "..shuttle_launch_at - shuttle_launch.." rounds.", 10, 60)
	love.graphics.print(cursor, 10, 70)
	if show_survey == true then
		love.graphics.print("Survey On", 10,80)
	end
end

function drawEquip()
	for i,v in ipairs(population["equip"]) do
		if selected_id[2] == v.id_num then
			love.graphics.drawq(quadImage, hex,v.hex_i*s, v.hex_j*h+v.hex_i%2*(h/2))
			love.graphics.setColor( 0,0,255,255 )
			love.graphics.print( "("..v.hex_i..","..v.hex_j..")", v.hex_i*s+r-15, 10+v.hex_j*h + v.hex_i%2*(h/2))
			love.graphics.setColor( 255,255,255,255 )
		end
		if v.title == "hauler" then
			love.graphics.drawq(quadImage, hauler,v.hex_i*s, v.hex_j*h+v.hex_i%2*(h/2))
			
			if v.ore_stored == v.ore_max then
				love.graphics.setColor( 255,0,0,255 )
			else
				love.graphics.setColor( 0,200,0,255 )
			end
			love.graphics.rectangle( "fill", v.hex_i*s+r -(r*(v.ore_stored/v.ore_max))/2, v.hex_j*h+v.hex_i%2*(h/2)+5 , r*(v.ore_stored/v.ore_max), 6 )
		else 
			love.graphics.drawq(quadImage, surveyer,v.hex_i*s, v.hex_j*h+v.hex_i%2*(h/2))
		end
	end
end

function drawBuildings()
	for i,v in ipairs(population["buildings"]) do
		love.graphics.drawq(quadImage, platform, v.hex_i*s, v.hex_j*h+v.hex_i%2*(h/2))
		if selected_id[2] == v.id_num then
			love.graphics.drawq(quadImage, hex,v.hex_i*s, v.hex_j*h+v.hex_i%2*(h/2))
			love.graphics.setColor( 0,0,255,255 )
			love.graphics.print( "("..v.hex_i..","..v.hex_j..")", v.hex_i*s+r-15, 10+v.hex_j*h + v.hex_i%2*(h/2))
			love.graphics.setColor( 255,255,255,255 )
			if surveyed[""..v.hex_i..","..v.hex_j..""] then
				love.graphics.print(surveyed[""..v.hex_i..","..v.hex_j..""][1][3], surveyed[""..v.hex_i..","..v.hex_j..""][1][1]*s+7, surveyed[""..v.hex_i..","..v.hex_j..""][1][2]*h + surveyed[""..v.hex_i..","..v.hex_j..""][1][1]%2*(h/2) + h/2)
			end
		end
		if v.title == "platform" then
			if v.ore_stored == v.ore_max then
				love.graphics.setColor( 255,0,0,255 )
			else
				love.graphics.setColor( 0,200,0,255 )
			end
			if v.ore_stored ~= 0 then
				love.graphics.rectangle( "fill", v.hex_i*s+r -(r*(v.ore_stored/v.ore_max))/2, v.hex_j*h+v.hex_i%2*(h/2)+5 , r*(v.ore_stored/v.ore_max), 6 )
			end
		end
		if v.title == "main platform" then
			love.graphics.setColor(255,0,0,255)
			love.graphics.print("Main", v.hex_i*s+r-15, v.hex_j*h+v.hex_i%2*(h/2)+r/2+5)
		end
	end
	if next(eligible) then
		for _,sub in pairs(eligible) do
			for i,v in ipairs(sub) do 
				love.graphics.drawq(quadImage, hex,sub[1][1]*s, sub[1][2]*h+sub[1][1]%2*(h/2))
				love.graphics.setColor( 0,200,0,255 )
				love.graphics.print(sub[1][3], sub[1][1]*s+r-7, h-20+sub[1][2]*h + sub[1][1]%2*(h/2))
			end
		end
	end
end

function shuttleDraw()
	love.graphics.setColor( 255,255,255,255 )
	love.graphics.print("Cash: "..cash, 10,10)
	love.graphics.print(""..s_x..","..s_y.."",10,30)
	love.graphics.print("Click on a Unit to Purchase", win_w/2-100, win_h/2)
	if cursor == "buy_surveyor" then 
		love.graphics.setColor( 0,200,0,255 )
	end
	love.graphics.print("Buy a Surveyor; Cost $500", win_w/2-100, win_h/2 + 20)
	love.graphics.setColor( 255,255,255,255 )
	if cursor == "buy_hauler" then 
		love.graphics.setColor( 0,200,0,255 )
	end
	love.graphics.print("Buy a Hauler; Cost $1000", win_w/2-100, win_h/2 + 40)
	love.graphics.setColor( 255,255,255,255 )
	love.graphics.print("Hit space to return", win_w/2-100, win_h/2 + 60)
end